namespace AsmrManage
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        public static AppConfig? config;
        public static AsmrData? data;
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            if (!File.Exists(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "config.json")))
            {
                ConfigManager.SaveConfig(new AppConfig());
            }
            config = ConfigManager.LoadConfig(); //fetch configuration data
            ApplicationConfiguration.Initialize();
            Application.Run(new Form1());
        }
    }
}